/*-
 * ~~~~~~licensing~~~~~~
 * profile-management
 * ==========
 * Copyright (C) 2020 - 2021 EmDev LLC
 * ==========
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * ~~~~~~/licensing~~~~~~
 */
package ru.entaxy.esb.platform.core.management.profile.impl.route;

import ru.entaxy.esb.platform.base.management.core.utils.BundleAwareManagedObjectImpl;

public class ManagedRoute extends BundleAwareManagedObjectImpl {

	protected boolean isDefault;

	protected String name;
	
	public boolean isDefault() {
		return isDefault;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public void setDefault(boolean isDefault) {
		this.isDefault = isDefault;
	}
	
	public ManagedRoute defaultRoute(boolean isDefault) {
		setDefault(isDefault);
		return this;
	} 

	public ManagedRoute name(String name) {
		setName(name);
		return this;
	}
	
}
